BizKitHub
DocsAPI ReferenceAccount/bff/account/set-name
postAccountAdmin BFF

/bff/account/set-name

Updates the first, last, and optionally middle name of the authenticated user.

AccountpostBffAccountSet-name

Parameters

JSON body

Request body

application/json
firstNamestringRequired

First name (will be capitalized).

lastNamestringRequired

Last name (will be capitalized).

middleNamestringOptional

Middle name (will be capitalized). Omit to leave unchanged.

Response schema

1 status code documented

200Success

This response returns no JSON body.

Response example

application/json
{
  "success": true
}

Request example

POST /bff/account/set-name

post
curl -X POST "https://api.bizkithub.com/bff/account/set-name" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "firstName": "example_firstName",
  "lastName": "example_lastName",
  "middleName": "example_middleName"
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key